<?php
if ( $_SERVER['REQUEST_METHOD']!='GET' && realpath(__FILE__) != realpath( $_SERVER['SCRIPT_FILENAME'] ) ) {
$pastaRaiz = "/home/clubcvtocombr/public_html";

require_once($pastaRaiz . "/split/public/conexao/conexao.php");
require_once($pastaRaiz . "/split/public/seller/partials/items/processa.php");

//require_once($_SERVER['DOCUMENT_ROOT'] . "/split/public/conexao/conexao.php");
//require_once($_SERVER['DOCUMENT_ROOT'] . "/split/public/seller/partials/items/processa.php");
//echo "teste2";
//exit;
$execProcess = new Processa();

$listaDiretorio = $pastaRaiz . '/split/public/seller/arquivo/zeraEstoque/';
$listaDiretorioNew = $pastaRaiz . '/split/public/seller/arquivo/zerado/';

$itens = new DirectoryIterator("$listaDiretorio");

foreach ($itens as $item) {
    if ($item->gettype() === 'dir') {
        $diretorios[] = $item->getFilename();
    }
}

foreach ($diretorios as $diretorio) {
    if (($diretorio != '.') && ($diretorio != '..')) {


        $types = array('csv');
        $path = $listaDiretorio . $diretorio;
        $dir = new DirectoryIterator($path);

        foreach ($dir as $fileInfo) {
            $ext = strtolower($fileInfo->getExtension());

            if (in_array($ext, $types)) {
                $execProcess->zeraEstoque($diretorio, $listaDiretorio . $diretorio . '/' . $fileInfo->getFilename(), $listaDiretorioNew . $diretorio . '/' . $fileInfo->getFilename());
            }
        }
    }
}
exit;

}